%define name 	pam_abl
%define oname	pam-abl
%define version 0.5.0
%define distname %{oname}-%{version}
%define release %mkrel 2

Summary:	Auto blacklisting of hosts and users
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License:	GPL
Group:		System/Libraries
URL: 		http://sourceforge.net/projects/pam-abl/
BuildRequires:	pam-devel
BuildRequires:  db-devel
BuildRequires:  cmake
Source0: 	http://downloads.sourceforge.net/project/%{oname}/%{oname}/%{distname}.tar.gz
Source1:    pam_abl.conf

%description
A PAM module that provides auto blacklisting of hosts and users
responsible for repeated failed authentication attempts. Generally
configured so that blacklisted users still see normal login prompts
but are guaranteed to fail to authenticate.

%prep
%setup -q -n %{oname}
%apply_patches

%build
%cmake
%make

%install
cd build
%makeinstall_std
install -d %buildroot/%_lib
mv %buildroot%_prefix/lib/security %buildroot/%_lib
install -D -m644 %SOURCE1 %buildroot%_sysconfdir/security/pam_abl.conf
install -d %buildroot%_var/lib/abl

%files
%defattr(-,root,root)
%doc README
/%{_lib}/security/*so*
%{_bindir}/%{oname}
%config(noreplace) %_sysconfdir/security/pam_abl.conf
%dir %_var/lib/abl


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 362368
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 blino <blino> 0.5.0-1.mga3
+ Revision: 291538
- 0.5.0
- switch to cmake
- update URL

* Tue Jul 31 2012 fwang <fwang> 0.2.3-10.mga3
+ Revision: 276364
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 0.2.3-9.mga3
+ Revision: 274852
- rebuild

* Sat Jan 21 2012 nanardon <nanardon> 0.2.3-8.mga2
+ Revision: 199104
- imported package pam_abl

